Subject: [bug#65550] [PATCH] profiles: Don't propagate inputs for non-development packages.

From: Josselin Poiret <[email-masked]>
Date: Sun, 27 Aug 2023 09:34:36 +0200

Hi everyone,

Liliana Marie Prikler <[email-masked]> writes:

> I think this patch misses the most obvious use case of the out:lib
> split.  I also think that hardcoding this list is bound to fail.
>
> Instead, we could for the time being solve this with yet another
> package property.
>   '((propagate-inputs-from "lib")) ; but not out
>   '((propagate-inputs-from . ("lib"))) ; same meaning, different style
>   '((propagate-inputs-from "out" "lib")) ; but not doc
> If the property is missing, we still propagate from all outputs, as is
> currently done.
>
> WDYT?

I don't really like the hackiness of this (yet another weird thing for
independent contributors to learn), but I also understand the need.
This one LGTM, but maybe we should think a bit more about simpler
solutions before committing to this.

Best,
-- 
Josselin Poiret